moeoReferencePointIndicatorBasedFitnessAssignment(3)

NAME
moeoReferencePointIndicatorBasedFitnessAssignment - Fitness assignment sheme based a Reference Point and a Quality Indicator.

SYNOPSIS

#include <moeoReferencePointIndicatorBasedFitnessAssignment.h>

Inherits moeoFitnessAssignment< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
The type of objective vector.

  Public Member Functions
moeoReferencePointIndicatorBasedFitnessAssignment (ObjectiveVector &_refPoint, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric)
Ctor.
void operator() (eoPop< MOEOT > &_pop)
Sets the fitness values for every solution contained in the population _pop.
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

  Protected Member Functions
void setup (const eoPop< MOEOT > &_pop)
Sets the bounds for every objective using the min and the max value for every objective vector of _pop (and the reference point).
void setFitnesses (eoPop< MOEOT > &_pop)
Sets the fitness of every individual contained in the population _pop.

  Protected Attributes
ObjectiveVector & refPoint
the reference point
moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & metric
the quality indicator

Detailed Description

  template<class MOEOT> class moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >
Fitness assignment sheme based a Reference Point and a Quality Indicator.

Definition at line 25 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::moeoReferencePointIndicatorBasedFitnessAssignment (ObjectiveVector & _refPoint, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric) [inline]

Ctor.

Parameters:
    _refPoint the reference point
    _metric the quality indicator

Definition at line 37 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

Member Function Documentation

  template<class MOEOT> void moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Sets the fitness values for every solution contained in the population _pop.

Parameters:
    _pop the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 46 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

References moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::setFitnesses(), and moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::setup().

  template<class MOEOT> void moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Implements moeoFitnessAssignment< MOEOT >.

Definition at line 60 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

  template<class MOEOT> void moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::setup (const eoPop< MOEOT > & _pop) [inline, protected]

Sets the bounds for every objective using the min and the max value for every objective vector of _pop (and the reference point).

Parameters:
    _pop the population

Definition at line 78 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

References moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::metric, moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::refPoint, and moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >::setup().

Referenced by moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::operator()().

  template<class MOEOT> void moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::setFitnesses (eoPop< MOEOT > & _pop) [inline, protected]

Sets the fitness of every individual contained in the population _pop.

Parameters:
    _pop the population

Definition at line 99 of file moeoReferencePointIndicatorBasedFitnessAssignment.h.

References moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::metric, and moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::refPoint.

Referenced by moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.